cURL
curl --request GET 'https://api.integrateledger.com/v1/webhook-endpoints/we_123' \
-H "Authorization: Bearer $LEDGER_API_KEY"import ledger from "integrateledger";
const client = new ledger({ apiKey: process.env.LEDGER_API_KEY ?? "" });
await client.getWebhookEndpoint({ id: "we_123" });import os
from integrateledger import ledger
client = ledger(api_key=os.environ["LEDGER_API_KEY"])
client.get_webhook_endpoint("we_123"){
"object": "webhook_endpoint",
"id": "<string>",
"url": "<string>",
"description": "<string>",
"enabledEvents": [
"<string>"
],
"apiVersion": "<string>",
"status": "enabled",
"disabledReason": "failing",
"disabledAt": "<string>",
"failingSince": "<string>",
"livemode": true,
"environment": "sandbox",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "rate_limited"
}Webhooks
Get a webhook endpoint
Read one webhook endpoint by its ID.
GET
/
v1
/
webhook-endpoints
/
{id}
cURL
curl --request GET 'https://api.integrateledger.com/v1/webhook-endpoints/we_123' \
-H "Authorization: Bearer $LEDGER_API_KEY"import ledger from "integrateledger";
const client = new ledger({ apiKey: process.env.LEDGER_API_KEY ?? "" });
await client.getWebhookEndpoint({ id: "we_123" });import os
from integrateledger import ledger
client = ledger(api_key=os.environ["LEDGER_API_KEY"])
client.get_webhook_endpoint("we_123"){
"object": "webhook_endpoint",
"id": "<string>",
"url": "<string>",
"description": "<string>",
"enabledEvents": [
"<string>"
],
"apiVersion": "<string>",
"status": "enabled",
"disabledReason": "failing",
"disabledAt": "<string>",
"failingSince": "<string>",
"livemode": true,
"environment": "sandbox",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "rate_limited"
}Returns the endpoint without its secret. An ID from another workspace or environment returns
404 endpoint_not_found.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 64Pattern:
^we_[A-Za-z0-9]+$Response
The endpoint
Available options:
webhook_endpoint Available options:
enabled, disabled Available options:
failing, manual, null Available options:
sandbox, live